﻿Type=Class
Version=2.52
@EndOfDesignText@
'Class module

'Very basic class for a seekbar which displays its value.
'Supports any range between minValue and maxValue
Sub Class_Globals

	Private mSeekBar As SeekBar
	Private mLabel As Label
	
	Private mOffset As Int
	Private mSuffix As String
	
	Private mCallback As Object
	Private mEventName As String
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize(pCallback As Object, pPanel As Panel, pEvent As String, minValue As Int, maxValue As Int, suffix As String)

	pPanel.LoadLayout("laySeekBar")
	
	mOffset = minValue
	
	mCallback = pCallback
	mEventName = pEvent
	mSuffix = suffix
	
	mSeekBar.Max = maxValue - mOffset
	mLabel.Text = (mSeekBar.Value + mOffset) & mSuffix
	
End Sub

Sub mSeekBar_ValueChanged (Value As Int, UserChanged As Boolean)
	mLabel.Text = (mSeekBar.Value + mOffset) & mSuffix
	
	If SubExists(mCallback, mEventName & "_ValueChanged") Then
		CallSub3(mCallback, mEventName & "_ValueChanged", Value, UserChanged)
	End If
End Sub

Sub SetValue(Value As Int)
	mSeekBar.Value = Value - mOffset
	mLabel.Text = Value & mSuffix
End Sub

Sub GetValue As Int
	Return mSeekBar.Value + mOffset
End Sub